Presentations From Breakouts with Call to Actions
=================================================

Identify the following before beginning your session. Do not move
forward until these are decided / assigned:

-   **Session Topic**: Presentations From Breakouts with Call to Actions
-   **Topic Facilitator(s)**: sarahnovotny@
-   **Note-taker(s) (Collaborating on this doc)**: Jason Singer DuMars,
    Nilay Yener
-   **Person responsible for converting to Markdown & uploading to
    Github:** nyener@

### Session Notes

#### SIG GOVERNANCE AND SIG CHECK IN

-   Discussed cross cutting SIG concerns and how to accomplish
-   Create certificate for SIGs
-   SIG Leads office hours
-   SIG Leads mailing list \~ open vs. closed -- read-only
-   Private comms will happen in committees

#### IDENTIFYING AREAS THAT ARE FALLING THROUGH THE CRACKS

Focused a lot on other contributions that are getting lost:

-   want to help other people and companies take part in non-coding
    activities
-   How do we call out other contributions
-   Incentives for other contributions
-   SIGs need to harness the value in Kubernetes
-   SIGs might have different roles, i.e. docs, etc.
-   Identify and fill roles
-   No unfunded mandates, calling out companies that contribute
-   Recognize companies that contribute maintenance
-   Credits for the release
-   Incentivise individuals as well
-   Need to be cognizant of company marketing around Kubernetes
-   By recognizing roles, you can provide continuity and pride, e.g.
    k8sbot
-   Conformance working group
-   We need to defend the trademark or lose it
-   We need to identify repositories that use the kubernetes- taxonomy
-   Develop a better way to assess contributions, leaderboard issue (see
    action item)

#### CODE ORGANIZATION + IMPROVING THE RELEASE PROCESS

-   Brian's presentation on why we wanted to break out the repos
-   Accepting limitations in GitHub
-   Service catalog is already doing this
-   Near term direction untangling dependencies
-   How are we executing with kubectl
-   Integration and testing across different repos is hard
-   SIGs involved are API Machinery, CLI and Cluster Lifecycle
-   Need a working group to sort out the approach

#### BUILDING COMMUNITY EFFECTIVENESS

-   Talked about how to get more engagement in meetings
-   introductions
-   pair mentors
-   find out what people want to do
-   don't put mission critical work on new contribs
-   watch time zones
-   keep SIG meeting as status, focus on 1:1 for work
-   off-weeks for office hours
-   User on-boarding SIG
-   education
-   1:1s
-   welcome wagon
-   Cluster Ops working on this for operators

#### What went well?

-   Breakouts
-   Networking time
-   Face to face talking
-   More content - more breaks
-   Continued note taking and making things available. Templates are
    really helpful
-   3 SIGs had a cross SIG collaboration
-   Morning single track

#### What would you do differently?

-   bad timing with code freeze
-   Record sessions so there's a better record
-   Red Hat was under-represented, so we should consider East
-   Not a lot of decisions were made, how do we do things instead of
    just talking about it?
-   "Stability is important" but there's not an action item
-   Lack of specific focus
-   More engagement with the agenda ahead of time

#### Risks

-   Too little governance
-   Conformance from the CNCF
-   Stability is not getting worked on
-   How do you balance convergence vs. divergence
-   We are not getting true customer voice - what user experience is -
    get feedback from product.
-   We need to make it easier for people who wants to find out what
    Kubernetes is about

### Conclusions

#### Key Takeaways / Analysis of Situation

#### Recommendations & Decisions Moving Forward (High-Level)

Specific Action Items (& Owners)

Action Item |Owner(s)
------------|------------
Read-only on SIG-Leads list instead of closed SIG Cloud | SIG Leads mailing list
Proposal for how we recognize contributions | Quinton Hoole
Need a SIG owner on utilities | Tim Hockin
Ladders | Kris N
Regular community check-ins | Brian Grant
Describe the end state and then assign breakout work to SIGs. Working group needs to be organized | Brian Grant
Working group organization or a SIG that oversees this | Machinery CLI Cluster Lifecycle

SIG Meetings
* Intro
* Pair mentors
* Find out what people want to do
* Off weeks for office hours
* find out what people want to do
* don't put mission critical work on new contribs
* watch time zones
* keep SIG meeting as status, focus on 1:1 for works

SIG User Onboarding
* education
* 1:1s
* welcome wagon
* Cluster Ops working on this for operators

Communicate stability decision User support rotation as a way of getting
real-world feedback

[Link to original
doc](https://docs.google.com/document/d/1I4abWaWP9qa2XV8Q8b7ENxIby-EvsyXRrt90SS19Ldc/edit?usp=sharing)
