# Outreachy

Kubernetes is happy to announce our participation in the Outreachy program running from December 2018 to March 2019.
Please see the [main program page](https://www.outreachy.org/) for general information about the program,
such as its purpose, timeline, eligibility requirements, and how to apply.

The current list of projects, mentors and other details can be found [here](https://www.outreachy.org/communities/cfp/kubernetes/).

## What is Kubernetes?

Kubernetes is an open-source system for automating deployment, scaling, and management of containerized applications.
It groups containers that make up an application into logical units for easy management and discovery. Kubernetes builds upon 15 years of experience of running production workloads at Google, combined with best-of-breed ideas and practices from the community.
Please see [kubernetes.io](https://kubernetes.io/) for more details.

## What are SIGs?

Kubernetes is a set of projects, each shepherded by a special interest group (SIG).
To get a grasp of the projects that we work on, check out the complete [list of SIGs](/sig-list.md).

This [slide deck](https://docs.google.com/presentation/d/1JqcALpsg07eH665ZXQrIvOcin6SzzsIUjMRRVivrZMg) provides an overview of how the Kubernetes community is organized.

## Communication

- Mailing List: development announcements and discussions appear on the Google group `kubernetes-dev` (send mail to kubernetes-dev@googlegroups.com).
- Slack: Please [sign up](http://slack.k8s.io/) for an invite.

## Contribute

As part of the application process, the Outreachy program recommends that candidates make small contributions to the project they intend to apply for.

To start working on the project, make sure to fill out the [CLA](/CLA.md) and check if you have the right environment with this guide.
The README in the [community repo](https://github.com/kubernetes/community) details these things and more.

## Coordination

| **Name** | **Slack** | **Email** |
|----------|-----------|-----------|
| [Paris Pittman](https://github.com/parispittman) | @paris |  parispittman@google.com |
| [Nikhita Raghunath](https://github.com/nikhita) | @nikhita | nikitaraghunath@gmail.com |

The coordinators can be contacted at any time. The easiest way is to send a slack message.

Do you have an idea for a task that is suitable for this program? Contact the mentors or coordinators! Or even better, volunteer for mentoring an intern during the work on your idea!

## Code of Conduct

Kubernetes abides by the [Code of Conduct](/code-of-conduct.md).
